var midTypes;
var CID = GetQueryString('catid');
var catid = GetQueryString('catid');
var startTransform = 0;

//开始触摸屏幕的触点坐标X值
var startTouchY = 0;
//触摸屏幕并移动实时坐标X值
var currentTouchY = 0;
/*
 * 构建带有层级关系的类别信息
 */
function buildData(smallTypes) {
	if (midTypes && midTypes.length > 0 && smallTypes && smallTypes.length > 0) {
		for (var i = 0, j = midTypes.length; i < j; i++) {

			if (midTypes[i]['C_PID'].toString() != CID)
				continue;
			else if (!midTypes[i]['Children'])
				midTypes[i]['Children'] = [];

			for (var m = 0; m < smallTypes.length; m++) {

				if (midTypes[i]['CID'] == smallTypes[m]['C_PID'] && smallTypes[m]['Count'] > 0)//只显示有商品的类别
				{

					midTypes[i]['Children'].push(smallTypes[m]);
					smallTypes.splice(m, 1);
					m--;
				}
			}
		}
	}
}

/*
 * 构建二级类别菜单的HTML
 */
function buildMidTypeHtml() {
	//href = "javascript:midTypeSelect(' + midTypes[i]['CID'] + ',' + i + ');"

	var html = '';
	for (var i = 0, j = midTypes.length; i < j; i++) {
		html += '<li>';
		html += '<a href="javascript:void(0)" onclick = "midTypeSelect(' + midTypes[i]['CID'] + ',' + i + ')" mid="' + midTypes[i]['CID'] + '" mindex="' + i + '">' + midTypes[i]['C_CateName'] + '</a>';
		html += '</li>';
	}
	return html;
}

/*
 * 构建三级类别菜单的HTML
 * midType {Object} 所属二级类别
 */
function buildSamllTypeHtml(midType) {
	//如果该二级类别已经生成了所拥有的三级类别HTML，直接返回
	if (midType['CategoryHtml'] && midType['CategoryHtml'].length > 0)
		return midType['CategoryHtml'];
	//如果该二级类别还没有三级类别HTML则生成
	var html = '';
	if ( typeof (midType['Children']) != 'undefined' && midType['Children'].length) {
		for (var i = 0, j = midType['Children'].length; i < j; i++) {
			var smallType = midType['Children'][i];
			html += '<li>';
			html += '<a href = "javascript:void(0)" onclick="open_product_list('+smallType['CID']+',null);">';
			html += '<img src="'+SiteUrl+'/heima_member/' + smallType['Img'] + '" alt="" />';
			html += '<span>' + smallType['C_CateName'] + '</span>';
			html += '</a>';
			html += '</li>';
		}
	} else {
		//二级类别下没有三级类别
		html = '<li>';
		html += '<a href = "javascript:void(0)" onclick="open_product_list('+midType['CID']+',null);">';
		html += '<img src="'+SiteUrl+'/heima_member/' + midType['Img'] + '"/>';
		html += '<span>所有' + midType['C_CateName'] + '</span>';
		html += '</a></li>';
		//html = '<div class="category-empty"><a href = "searchresult.aspx?catid=' + midType['CID'] + '">点击查看所有' + midType['C_CateName'] + '</a></div>';
	}
	midType['CategoryHtml'] = html;
	return html;
}

/*
 * 设置二级类别菜单选中的样式
 * midType {Object} 选中的二级类别
 */
function setMidTypeSelect(midType) {
	$('#rootList li').removeClass('cur');
	var smallTypeLink = $('#rootList a[mid="' + midType['CID'] + '"]');
	if (smallTypeLink.length) {
		$(smallTypeLink).parent().addClass('cur');
	}
}

/*
 * 根据类别ID获取选中的二级类别
 * mid {int} 选中的二级类别ID
 */
function getSelectMidType(mid) {
	for (var i = 0, j = midTypes.length; i < j; i++) {
		if (midTypes[i]['CID'] == mid) {
			return midTypes[i];
		}
	}
}

/*
 * 二级类别惨淡点击事件
 * mid {int} 二级类别ID
 * elementIndex {int} 菜单类别Index
 */
function midTypeSelect(mid, elementIndex) {
	var selectMidType = getSelectMidType(mid);
	setMidTypeSelect(selectMidType);

	var html = buildSamllTypeHtml(selectMidType);
	$('.category-content-style').html(html)

	//设置二级菜单向上滚动
	if (midTypes.length > 5 && midTypes.length - elementIndex > 5) {
		startTransform = (-1 * elementIndex * 50);

		//$('#rootList ul').css('transform', 'translateY(' + startTransform + 'px)');
		//setTransform('#rootList ul', startTransform);
	}
}

/*
 * 获取类别数据
 */
function getTypeData() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	$.ajax({
		url : ApiUrl + '/AjaxHandler.ashx',
		type : 'POST',
		dataType : 'json',
		async: false,
		data : {
			'method' : 'app_get_category2',
			'catid' : catid
		},
		success : function(data) {
			api.hideProgress();
			if (data.Status == 1 && data.Message) {
				midTypes = data.Message.dts[0];
				var smallTpes = data.Message.dts[1];

				if (midTypes.length == 0)
					//window.location.href = 'searchresult.aspx?catid=' + CID;
					open_product_list(CID,null);

				buildData(smallTpes);

				//设置二级类别第一项为选中
				var html = buildMidTypeHtml();
				$('#rootList ul').append(html);

				var selectMidType = midTypes[0];
				var categoryHtml = buildSamllTypeHtml(selectMidType);
				//$('.category-content-title').text(selectMidType['C_CateName']);
				$('.category-content-style').append(categoryHtml);
				setMidTypeSelect(selectMidType);

				$('#rootList a').bind('touchstart', touchStart);
				$('#rootList a').bind('touchmove', touchMove);
				$('#rootList a').bind('touchend', touchEnd);

			} else if (data.Status == 0) {
				//window.location.href = 'searchresult.aspx?catid=' + CID;
				open_product_list(CID,null);
			}
		},
		error : function(data) {
			api.hideProgress();
			//window.location.href = 'searchresult.aspx?catid=' + CID;
			open_product_list(CID,null);
		}
	});
}

/*
 * 触摸事件触发
 */
function touchStart(event) {
	var currentY = parseInt(event.originalEvent.touches[0].pageY);
	if (!isNaN(currentY)) {
		startTouchY = currentY;
	}
}

/*
 * 触摸屏幕并移动
 */
function touchMove(event) {
	currentTouchY = parseInt(event.originalEvent.touches[0].pageY);
	if (!isNaN(currentTouchY)) {

		var change = currentTouchY - startTouchY;

		var currentTransform = startTransform + change;
		$('#rootList ul').css('transform', 'translateY(' + currentTransform + 'px)');
	}
}

/*
 * 离开屏幕
 */
function touchEnd(event) {
	event.preventDefault();
	//阻止其Clikc事件执行

	var change = currentTouchY - startTouchY;

	if (currentTouchY != 0 && (change > 10 || change < -10)) {//如果移动距离小于10则触发点击事件
		var currentTransform = startTransform + change;
		var minTransform = ((midTypes.length - 6) * 50 * -1);
		if (currentTransform > 0) {
			currentTransform = 0;
		} else if (currentTransform < minTransform) {
			currentTransform = minTransform;
		}

		$('#rootList ul').css('transform', 'translateY(' + currentTransform + 'px)');

		startTransform = currentTransform;
	} else {
		var mid = $(event.target).attr('mid');
		var mindex = $(event.target).attr('mindex');
		midTypeSelect(mid, mindex);
	}
	currentTouchY = 0;
}

apiready = function() {
	getTypeData();
}; 