var pageIndex = 0;
var isLoding = true;
//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityid = cityInfo.cityId;
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_get_wholesaleinfo'
		},
		success : function(result) {
			var data = result.Message;
			data.SiteUrl = SiteUrl;
			var html = template.render('bodyContent', data);
			$("#main").html(html);
		},
		error : function() {
			api.hideProgress();
		}
	});

	Zepto(function($) {
		//var aLi = $('#title-box-ul li');
		window.mySwipe = Swipe($api.byId('slider'), {
			auto : 3000,
			continuous : true,
			callback : function(index, elem) {
				//var i = aLi.length;
				//while (i--) {
				//	aLi[i].className = '';
				//}
				//aLi[index].className = 'active';
			}
		});
		$('#slider .swipe-box').on('click', function(event) {
			var temp_url = $(this).attr("data-url");
			openFocusPage(temp_url);
		});
	});
	loadNextPage();

	api.hideProgress();
};
/*
 * 生成一个商品信息HTML
 * 商品信息 {Object} 商品信息
 */
function genListItem(obj) {
	var n = document.getElementById("startLoad").offsetWidth / 2 - 10;
	var html = ''
	html = html + "<span style='height:" + (n + 85) + "px;'><a href='javascript:openGoodInfo("+obj.PID+",0,"+obj.CP_CID+")'>";
	html = html + "<img style='height:" + n + "px' src='"+SiteUrl+"/heima_member/" + obj.P_Img + "'/><p style='height:40px;'>" + obj.P_Name + "</a></p><p>￥" + obj.P_Price + "</p></span>";
	return html;
}

/*
 * 生成商品信息列表HTML
 * arr {Array} 商品信息集合
 */
function genList(arr) {
	var html = '';
	if (arr && arr.length) {
		for (var i = 0, j = arr.length; i < j; i++) {
			html += genListItem(arr[i]);
		}
	}
	return html;
}

/*
 *波动加载产品
 */
function loadNextPage() {
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : 'POST',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			method : 'app_prodLoadByCate',
			pIndex : pageIndex,
			cityid : cityid,
			cateId : 609
		},
		success : function(data) {
			if (data) {
				if (data.Status == 1 && data.Message) {
					var html = genList(data.Message);
					$('#startLoad').append(html);
					pageIndex++;
					isLoding = false;
				} else if (data.Status == 3 && pageIndex > 0) {
					document.getElementById("endLoad").innerHTML = ("<p>产品加载完毕...</p>");
					isLoding = true;
				} else if (data.Status == 3 && pageIndex == 0) {
					document.getElementById("endLoad").innerHTML = ("<p>该区域暂时没有推荐产品...</p>");
					isLoding = true;
				} else if (data.Status == 2 || data.Status == 0) {
					isLoding = false;
				} else {
					isLoding = false;
				}
			} else
				isLoding = false;
		},
		error : function() {
			isLoding = false;
		}
	});
};



 /*
 * 滚动条滚动事件
 */
$(window).scroll(function () {
    var srollPos = $(window).scrollTop(); //滚动条距顶部距离(页面超出窗口的高度) 
    totalheight = parseFloat($(window).height()) + parseFloat(srollPos);
    if (($(document).height() - 200) <= totalheight && !isLoding) {
    	isLoding = true;
    	loadNextPage();
    }
});

