var ids = GetQueryString("ids");
var username = '';
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		api.hideProgress();
		openCommon('login', '登录');
		return false;
	}

	username = userInfo.userName;
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_address',
			username : username,
			atype : "maijia"
		},
		success : function(result) {
			api.hideProgress();
			if (result.Status == 1) {
				var data = result.Message;
				data.SiteUrl = SiteUrl;
				var html = template.render('bodyContent', data);
				$("#main").html(html);
			} else if (result.Status == 2) {
				openCommon('login', '登录');
			} else {
				api.toast({
				    msg: '加载地址信息失败！',
				    duration: 2000,
				    location: 'middle'
				});
			}
		},
		error : function(data, data1, data2, data3) {
			api.hideProgress();
			api.toast({
			    msg: '发生错误，加载地址信息失败！',
			    duration: 2000,
			    location: 'middle'
			});
		}
	});
};

/**
 *地址选择
 * @param {Object} addrId
 */
function selectAddr(addrId) {
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'id' : addrId,
			'method' : 'app_set_default_addr',
			username : username
		},
		success : function(data) {
			if (data.Status == 1) {
				var isformorder = getQueryString('isfromorder');
				if (isformorder && isformorder.length > 0 && isformorder == 'true') {
					var form = getQueryString('for');
					var pt = getQueryString('pt');
					var ids = getQueryString('ids');
					window.location.reload();
					openOrder('订单详情', './order.html?for=' + form + '&pt=' + pt + '&ids=' + ids);
				} else {
					$('.btn-chk').removeClass('on');
					$('#selSpan' + addrId).addClass('on');
					$('.btn-del').css('display', 'block');
					$('#btnDelete' + addrId).css('display', 'none');
				}
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				alert('发生错误，设置默认收货地址失败');
			}
		},
		error : function(data) {
			alert('发生错误，设置默认收货地址失败');
		}
	});
};

/*
 * 地址删除
 */
function confirmDel(addrId) {
	var result = confirm('确定要删除这个收货地址吗？');
	if (result) {
		deleteAddr(addrId);
	}
};
function deleteAddr(addrId) {
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'id' : addrId,
			'method' : 'app_delete_addr',
			username : username
		},
		success : function(data) {
			if (data.Status == 1) {
				$('#addr-info-' + addrId).css('display', 'none');
				window.location.reload();
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				alert('发生错误，删除失败！');
			}
		},
		error : function(data) {
			alert('发生错误，删除失败！');
		}
	});
};

//添加收货地址
function addNew(obj) {
	var form = getQueryString('for');
	var pt = getQueryString('pt');
	var ids = getQueryString('ids');
	var aid = "";
	var isfromorder = getQueryString('isfromorder');
	$('#addAddress').attr('data-title','添加收货地址');
	$('#addAddress').attr('data-url','./editAddress.html?for='+form+'&pt='+pt+'&ids='+ids+'&isfromorder='+isfromorder+'&aid='+aid);
	toDetail(obj);
};

