var telephone = '';
var pid = GetQueryString("pid");
var activeId = GetQueryString("activeId");
var catid = GetQueryString("catid");
apiready = function() {
	window.header = $api.byId('header');
    $api.fixIos7Bar(header); 
    var headerPos = $api.offset(header);
    $(".product-cnt").css('top',headerPos.h);
    
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_product_show',
			pid : pid,
			activeId : activeId
		},
		success : function(result) {
			if (result.Status == 1 && result.Message.pruductInfo.length > 0) {
				var data = result.Message.pruductInfo[0];
				telephone = data.S_Phone;
				data.SiteUrl = SiteUrl;
				var html = template.render('home_body', data);
				$("#mainLayout").html(html);
			}
		}
	});
	initCartNum();
	$('#add_cart').click(addToCart);

	if (activeId.length && activeId != '0') {
		$('#priceTitle').text('活动价');
	}
	api.hideProgress();
};

/*
 * 初始化购物车图标右上角数量
 */
function initCartNum() {
	var username = '';
	var userInfo = $api.getStorage("userInfo");
	if (userInfo != null && userInfo != "") {
		username = userInfo.userName;
		$.ajax({
			url : ApiUrl + '/ajaxhandler.ashx',
			type : 'POST',
			dataType : 'json',
			data : {
				'method' : 'app_get_cart_num',
				username : username
			},
			success : function(data) {
				if (data.Status == 1) {
					if (data.Message > 0) {
						$('#toCart').html('<i>' + data.Message + '</i>');
					}
				}
			}
		});
	}else{
		$('#toCart').html('');
	}
};

/*
 * 马上购买
 */
function buyNow() {
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	} else {
		var username = userInfo.userName;
	}
	//获取城市id
	var cityInfo = $api.getStorage('cityInfo');
	var cityId = cityInfo.cityId;
	var cityName = cityInfo.cityName;

	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'pid' : pid,
			'method' : 'app_add_cart',
			'cityid' : cityId,
			'cityname' : cityName,
			'activeId' : activeId,
			'catid' : catid,
			'username' : username,
		},
		success : function(data) {
			if (data.Status == 1) {
				updateCartNum();
				api.sendEvent({
					name : 'freshCart'
				});
				openOrder('订单详情', './order.html?ids=' + data.Message);
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else if (data.Status == 3) {
				api.alert({
					title : '小嘿马温馨提示',
					msg : data.Message,
					buttons : ['确定']
				});
				return;
			} else {
				if (data.Message && data.Message.length > 0) {
					api.alert({
						title : '小嘿马温馨提示',
						msg : data.Message,
						buttons : ['确定']
					});
				} else {
					api.alert({
						title : '小嘿马温馨提示',
						msg : '发生错误，加入购物车失败！',
						buttons : ['确定']
					});
				}
			}
		},
		error : function(data) {
			api.alert({
				title : '小嘿马温馨提示',
				msg : '发生错误，加入购物车失败！',
				buttons : ['确定']
			});
		}
	});
}

/*
 * 加入购物车
 */
function addToCart() {
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	} else {
		var username = userInfo.userName;
	}
	//获取城市id
	var cityInfo = $api.getStorage('cityInfo');
	var cityId = cityInfo.cityId;
	var cityName = cityInfo.cityName;

	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		data : {
			'pid' : pid,
			'method' : 'app_add_cart',
			'username' : username,
			'cityId' : cityId,
			'cityName' : cityName,
			'activeId' : activeId,
			'catid' : catid

		},
		success : function(data) {
			if (data.Status == 1) {
				updateCartNum();
				api.sendEvent({
					name : 'freshCart'
				});
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				if (data.Message && data.Message.length > 0) {
					api.alert({
						title : '小嘿马温馨提示',
						msg : data.Message,
						buttons : ['确定']
					});
				} else {
					api.alert({
						title : '小嘿马温馨提示',
						msg : '发生错误，加入购物车失败！',
						buttons : ['确定']
					});
				}
			}
		},
		error : function(data) {
			api.alert({
				title : '小嘿马温馨提示',
				msg : '发生错误，加入购物车失败！',
				buttons : ['确定']
			});
		}
	});
};

/*
 * 更新购物车图标右上角数量
 */
function updateCartNum() {
	var num = $('#toCart i');
	if (num.length == 0) {
		$('#toCart').html('<i>1</i>');
	} else {
		var cartNum = parseInt($('#toCart i').text()) + 1;
		$('#toCart i').text(cartNum);
	}
};

function callPhone() {
	api.call({
		type : 'tel_prompt',
		number : telephone
	});
};

//进入购物车
function gotoCart() {
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	}
	changeFrameInRoot(3);
	api.closeToWin({
		name : 'root'
	});
}