var pageIndex = 0;
var isLoding = true;
var isPosition = GetQueryString('isPosition');
//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityid = 121;
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	if (cityInfo == null || cityInfo == '') {
		var cityInfo2 = {};
		cityInfo2.cityName = '濮阳市';
		cityInfo2.cityId = '121';
		$api.setStorage('cityInfo', cityInfo2);
		cityid = cityInfo2.cityId;
	}else{
		cityid = cityInfo.cityId;
	}
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_get_homeinfo',
			cityid : cityid
		},
		success : function(result) {
			var data = result.Message;
			data.SiteUrl = SiteUrl;
			var html = template.render('firstPage', data);
			$("#main").html(html);
		}
	});

	Zepto(function($) {
		//android放开  IOS关闭
		//var aLi = $('#title-box-ul li');
		window.mySwipe = Swipe($api.byId('slider'), {
			auto : 3000,
			continuous : true,
			callback : function(index, elem) {
				//var i = aLi.length;
				//while (i--) {
				//	aLi[i].className = '';
				//}
				//aLi[index].className = 'active';
			}
		});
		$('#slider .swipe-box').on('click', function(event) {
			var temp_url = $(this).attr("data-url");
			openFocusPage(temp_url);
		});
	});
	//城市名称显示 begin
	showCityName();
	//定位
	if (isPosition == null || isPosition != 'no') {
		getPosition();
	} else {
		getLocationInfo();
	}
	//每隔30秒执行一次定位
	window.setInterval("timelyFun()", 1000 * 30);

	//拨动加载产品
	loadNextPage();

	api.addEventListener({
		name : 'freshHomePage'
	}, function(ret, err) {
		isPosition = ret.value.isPosition;
		window.location.href = '?isPosition=' + isPosition;
	});

	api.hideProgress();
	
	//下拉刷新页面
	api.setRefreshHeaderInfo({
		visible : true,
		loadingImg : 'widget://icon/logo.png',
		bgColor : '#ccc',
		textColor : '#fff',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		window.location.reload();
		api.refreshHeaderLoadDone();
	});

};

function timelyFun() {
	getLocationInfo();
}

function Marquee(spanLabel, spanLabel2) {
	if (spanLabel2.offsetWidth <= spanLabel.scrollLeft)
		spanLabel.scrollLeft = 0;
	else
		spanLabel.scrollLeft++;
}

function start(spanLabel) {
	var spanLabelArr = new Array();
	for (var i = 0, j = 0; i < spanLabel.childNodes.length; i++) {
		if (spanLabel.childNodes[i].tagName == "SPAN")
			spanLabelArr[j++] = spanLabel.childNodes[i];
	}
	if (spanLabelArr[0].offsetWidth > spanLabel.offsetWidth) {
		spanLabelArr[1].innerHTML = spanLabelArr[0].innerText;
		setInterval(function() {
			Marquee(spanLabel, spanLabelArr[1]);
		}, 50);
	}
}

/*
 * 生成一个商品信息HTML
 * 商品信息 {Object} 商品信息
 */
function genListItem(obj) {
	var html = ''
	html = html + "<li><a href='javascript:openGoodInfo(" + obj.PID + ",0," + obj.CP_CID + ")'>";
	html = html + "<div class='goods-pic'><img src='" + SiteUrl + "/heima_member/" + obj.P_Img + "' /></div>";
	html = html + "<dl class='goods-info'><dt class='goods-name'>" + obj.P_Name + "</dt><dd class='goods-price'>￥" + obj.P_Price + "</dd></dl>";
	html = html + "</a></li>";
	return html;
}

/*
 * 生成商品信息列表HTML
 * arr {Array} 商品信息集合
 */
function genList(arr) {
	var html = '';
	if (arr && arr.length) {
		for (var i = 0, j = arr.length; i < j; i++) {
			html += genListItem(arr[i]);
		}
	}
	return html;
}

/*
 *首页波动加载产品
 */
function loadNextPage() {
	$.ajax({
		url : ApiUrl + '/AjaxHandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			method : 'app_prodLoadByCate',
			pIndex : pageIndex,
			cityid : cityid,
			cateId : 610
		},
		success : function(data) {
			if (data) {
				if (data.Status == 1 && data.Message) {
					var html = genList(data.Message);
					$('.goods-list').append(html);
					pageIndex++;
					isLoding = false;
				} else if (data.Status == 3 && pageIndex > 0) {
					document.getElementById("endLoad").innerHTML = ("<p>产品加载完毕...</p>");
					isLoding = true;
				} else if (data.Status == 3 && pageIndex == 0) {
					document.getElementById("endLoad").innerHTML = ("<p>该区域暂时没有推荐产品...</p>");
					isLoding = true;
				} else if (data.Status == 2 || data.Status == 0) {
					isLoding = false;
				} else
					isLoding = false;
			} else
				isLoding = false;
		},
		error : function() {
			isLoding = false;
		}
	});
};

$(window).scroll(function() {
	var srollPos = $(window).scrollTop();
	//滚动条距顶部距离(页面超出窗口的高度)
	totalheight = parseFloat($(window).height()) + parseFloat(srollPos);
	if (($(document).height() - 200) <= totalheight && !isLoding) {
		isLoding = true;
		loadNextPage();
	}
});
