var orderType = '';
var userName = '';
var orderType = GetQueryString('orderType');
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});

	var userInfo = $api.getStorage("userInfo");

	userName = userInfo.userName;

	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'get_order',
			username : userName,
			searchtype : orderType
		},
		success : function(result) {
			if (result.Status == 1) {
				var data = result.Message;
				data.SiteUrl = SiteUrl;
				var html = template.render('orderlist', data);
				$("#main").html(html);
			} else {
				api.alert({
					title : '小嘿马温馨提示',
					msg : result.Message,
					buttons : ['确定']
				});
			}
			api.hideProgress();
		}
	});
	api.addEventListener({
		    name: 'freshOrderList'
		}, function(ret, err){
			window.location.reload();
	});
};

/**
 *根据订单号获取IDS之后跳转到支付页面
 * @param {Object} orderId
 */
function getIds(orderId) {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var ids = '';

	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			'method' : 'app_paynow',
			'username' : userName,
			'oid' : orderId
		},
		success : function(result) {
			if (result.Status == 1) {
				ids = result.Message;
			} else if (result.Status == 2) {
				api.hideProgress();
				openCommon('login', '登录');
			} else {
				api.hideProgress();
				api.alert({
					title : '小嘿马温馨提示',
					msg : result.Message,
					buttons : ['确定']
				});
			}
			api.hideProgress();
		}
	});

	if (ids != null && ids != '') {
		var amonut = $.trim($('#payMoney'+orderId).text().replace('￥', ''));
		openOrder('选择支付方式','./paytype.html?for=list&ids='+ids+'&orderId='+orderId+'&amonut='+amonut);
	}
};

/**
 *根据订单号取消订单
 * @param {Object} oid
 */
function cancel(oid) {
	var result = confirm('订单取消后将无法恢复，确认要取消该订单吗？');
	if (result) {
		$.ajax({
			url : ApiUrl + "/AjaxHandler.ashx",
			type : 'POST',
			dataType : 'json',
			async : false,
			data : {
				'oid' : oid,
				'method' : 'app_cancel_order',
				'username' : userName
			},
			success : function(data) {
				if (data.Status == 1) {
					api.sendEvent({
					    name: 'freshUserCenter'
					});
					window.location.reload();
				} else if (data.Status == 2) {
					openCommon('login', '登录');
				} else {
					alert('发生错误，订单取消失败！');
				}
			},
			error : function(data) {
				alert('发生错误，订单取消失败！');
			}
		});
	}
};
/**
 *根据订单号确认收货 
 * @param {Object} oid
 */
function end(oid) {
	var result = confirm('是否现在确认收货？');
	if (result) {
		$.ajax({
			url : ApiUrl + "/AjaxHandler.ashx",
			type : 'POST',
			dataType : 'json',
			async : false,
			data : {
				'oid' : oid,
				'method' : 'app_confirm',
				'username' : userName
			},
			success : function(data) {
				if (data.Status == 1) {
					api.sendEvent({
					    name: 'freshUserCenter'
					});
					window.location.reload();
				} else if (data.Status == 2) {
					openCommon('login', '登录');
				} else {
					alert('发生错误，确认收货失败！');
				}
			},
			error : function(data) {
				alert('发生错误，确认收货失败！');
			}
		});
	}
};

function reviews(oid){
	openOrder('满意度评价','./orderEvaluate.html?oid='+oid);
}

