var ids = GetQueryString("ids");
var orderId = GetQueryString("orderId");
//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityId = cityInfo.cityId;
var cityName = cityInfo.cityName;
var username = '';
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		api.hideProgress();
		openCommon('login', '登录');
		return false;
	}
	username = userInfo.userName;

	checkIsCashOnDelivery();
};
function choosePayType(id) {
	$('.btn-radio').removeClass('on');
	$('#payType' + id).addClass('on');
}

function cancel() {
	var r = confirm("确定取消支付么？");
	if (r == true) {
		api.sendEvent({
			name : 'freshUserCenter'
		});
		openOrderList('待付款', './order_list.html?orderType=daifukuan');
	}
}

//1:货到付款；2：余额支付；3：支付宝支付；4：银联支付；5：微信支付
function submitForm() {
	var pt = $('.btn-radio.on input[type=hidden]').val();
	var formT = GetQueryString('for');
	var amonut = GetQueryString('amonut');
	if (formT && formT.length) {
		//货到付款、余额支付
		if (pt == 1 || pt == 2) {
			$.ajax({
				url : ApiUrl + '/ajaxhandler.ashx',
				type : 'POST',
				dataType : 'json',
				async : false,
				data : {
					'ids' : ids,
					'pt' : pt,
					'method' : 'app_paytype',
					'username' : username,
					'cityid' : cityId
				},
				success : function(data) {
					if (data.Status == 1) {
						api.sendEvent({
							name : 'freshUserCenter'
						});
						api.toast({
							msg : '下单成功',
							duration : 2000,
							location : 'middle'
						});
						openOrderList('待发货', './order_list.html?orderType=daifahuo');
					} else if (data.Status == 2) {
						openCommon('login', '登录');
					} else if (data.Status == 3) {
						//window.location.href = data.Message;
						api.toast({
							msg : '您已设定余额支付密码，请登录小嘿马微商城支付',
							duration : 4000,
							location : 'middle'
						});
					} else {
						if (data.Message && data.Message.length > 0) {
							alert(data.Message);
						} else {
							alert('发生错误，支付失败！');
						}
					}
				},
				error : function(data) {
					alert('发生错误，支付失败！');
				}
			});
		} else if (pt == 3) {//支付宝支付
			api.toast({
				msg : '加载中...',
				duration : 3000,
				location : 'middle'
			});
			pay_order_alipay(amonut, orderId, username, ids, pt);
		} else if (pt == 5) {//微信支付
			api.toast({
				msg : '加载中...',
				duration : 5000,
				location : 'middle'
			});
			pay_order_wx(amonut, orderId, username, ids, pt)
		} else if (pt == 4) {//银联支付
			api.toast({
				msg : '加载中...',
				duration : 5000,
				location : 'middle'
			});
			pay_order_unionPay(amonut, orderId, username, ids, pt);
		}
	}
};
/*
 * 检测订单中商品是否支持货到付款
 */
function checkIsCashOnDelivery() {
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			method : 'app_checkiscod',
			ids : ids,
			username : username
		},
		success : function(data) {
			api.hideProgress();
			if (data.Status == 1) {
				$('#IsCod').attr('style', 'display:none');
				choosePayType(2);
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				$('#IsCod').attr('style', 'display:block');
			}
		}
	});
}

