//当前列表页面页码
var pageIndex = 1;
//当前列表页大小
var pageSize = 20;
isLoding = true;

var userInfo = $api.getStorage("userInfo");
//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityid = cityInfo.cityId;
var cityname = cityInfo.cityName;

var curkey = 'default';
var temP = 'pricedesc';

//添加购物车参数
var totalcash = 0;
//总金额
var buynum = 0;
//购买数量
var cart_list = null;

apiready = function() {
	window.header = $api.byId('header');
    $api.fixIos7Bar(header); 
    var headerPos = $api.offset(header);
    $(".product-cnt").css('top',headerPos.h);
     
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var cid = api.pageParam.cid;
	var keyword = api.pageParam.keyword;

	searchList(cid, keyword, false);
	getCartInfo();

	$('.keyorder').click(function() {
		pageIndex = 1;
		curkey = $(this).attr('key');

		if (curkey == 'price') {
			if (temP == 'priceasc') {
				$(this).find('span').removeClass('desc').addClass('asc');
				temP = 'pricedesc';
			} else {
				$(this).find('span').removeClass('asc').addClass('desc');
				temP = 'priceasc';
			}
			curkey = temP;
		} else {
			temP = 'pricedesc';
		}

		$(this).addClass("current").siblings().removeClass("current");
		$(window).scrollTop(0);
		searchList(cid, keyword, false);
		getCartInfo();
	});
	api.hideProgress();
	api.addEventListener({
		name : 'freshCart'
	}, function(ret, err) {
		getCartInfo();
	});
};

function searchList(cid, keyword, isJiaZai) {
	if (cid != null && cid != '') {
		var temData = {
			'method' : 'app_search_list',
			'cateid' : cid,
			'cityid' : cityid,
			'key_word' : '',
			'sort_type' : curkey,
			'pageIndex' : pageIndex,
			'pageSize' : pageSize
		};
	} else {
		var temData = {
			'method' : 'app_search_list',
			'cateid' : '',
			'cityid' : cityid,
			'key_word' : keyword,
			'sort_type' : curkey,
			'pageIndex' : pageIndex,
			'pageSize' : pageSize
		};
	}
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : 'post',
		dataType : 'json',
		async : false,
		data : temData,
		success : function(result) {
			if (result.Status == 1) {
				if (result.Message.goods_list.length > 0) {
					isLoding = false;
				}
				result.Message.SiteUrl = SiteUrl;
				var html = template.render('home_body', result.Message);
				if (pageIndex == 1 && (!html || html.length == 0)) {
					$("#product_list").html();
					$("#product_list").html("<p style='width:100%;margin:10em auto;text-align:center;'>该区域暂时没有推荐产品...</p>");
				} else {
					$('#product_list').css('display', 'block');
					if (isJiaZai == false) {
						$("#product_list").empty();
					}
					$("#product_list").append(html);
					if (pageIndex > 1 && (!html || html.length == 0)) {
						$("#searchlist3 p").css('display', 'inline-block');
					}
					pageIndex++;
				}
			}
		},
		error : function() {
			isLoding = false;
			api.hideProgress();
		}
	});
};

/*
 * 滚动条滚动事件
 */
$(window).scroll(function() {
	var cid = api.pageParam.cid;
	var keyword = api.pageParam.keyword;

	var srollPos = $(window).scrollTop();
	//滚动条距顶部距离(页面超出窗口的高度)

	totalheight = parseFloat($(window).height()) + parseFloat(srollPos);
	if (($(document).height() - 200) <= totalheight && !isLoding) {
		isLoding = true;
		searchList(cid, keyword, true);
	}
});

/**
 *获取购物车信息
 */
function getCartInfo() {
	if (userInfo != null && userInfo != '') {
		var username = userInfo.userName;
		$.ajax({
			url : ApiUrl + '/ajaxhandler.ashx',
			type : 'POST',
			dataType : 'json',
			async : false,
			data : {
				'method' : 'app_cart_list',
				'username' : username
			},
			success : function(result) {
				if (result.Status == 1) {
					var data = result.Message;
					buynum = result.Message.O_Count;
					totalcash = result.Message.Acount;
					if (buynum >= 1) {
						$("#buynum").html(buynum);
						$("#totalcash").html((parseFloat(totalcash)).toFixed(2));
						$("#totalcash").css('display', 'inline-block');
						$("#buyinfo").css('display', 'inline-block');
						$("#minbuy").css('display', 'none');
						$("#buyit").css('display', 'inline-block');
						cart_list = result.Message.cart_list;
						for (var i in cart_list) {
							var pid = cart_list[i].O_PID;
							if ($("#minusorder" + pid)) {
								$("#hid_cid_" + pid).val(cart_list[i].OID);
								$("#thisnum" + pid).html(cart_list[i].O_Count);
								$("#minusorder" + pid).css('display', 'inline-block');
							}
						}
					} else {
						$("#buynum").html(0);
						$("#totalcash").html(0);
						$("#totalcash").css('display', 'none');
						$("#buyinfo").css('display', 'none');
						$("#minbuy").css('display', 'inline-block');
						$("#buyit").css('display', 'none');
					}
				}else{
					$("#buynum").html(0);
					$("#totalcash").html(0);
					$("#totalcash").css('display', 'none');
					$("#buyinfo").css('display', 'none');
					$("#minbuy").css('display', 'inline-block');
					$("#buyit").css('display', 'none');
				}
			}
		});
	}
}

/*
 * 增加商品数量
 */
function upCart(id, price, upNum, e) {
	stopBubble(e);
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	}
	var username = userInfo.userName;
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'pid' : id,
			'method' : 'app_add_cart',
			'username' : username,
			'cityId' : cityid,
			'cityName' : cityname,
			'activeId' : 0,
			'catid' : 0

		},
		success : function(data) {
			if (data.Status == 1) {
				var num = parseInt($("#thisnum" + id).html());
				num += parseInt(upNum);
				buynum += parseInt(upNum);
				if (num >= 1) {
					$("#thisnum" + id).html(num);
					$("#minusorder" + id).css('display', 'inline-block');
				} else {
					$("#minusorder" + id).css('display', 'none');
					$("#thisnum" + id).html(0);
				}

				api.sendEvent({
					name : 'freshCart'
				});
			} else {
				api.toast({
					msg : '添加失败,请重试',
					duration : 3000,
					location : 'middle'
				});
			}
		}
	});
};
/**
 *减少商品数量
 */
function downCart(id, price, upNum, e) {
	stopBubble(e);
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	}
	var username = userInfo.userName;
	var cartId = $("#hid_cid_" + id).val();
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_up_cart_num',
			'oid' : cartId,
			'pid' : id,
			'num' : upNum,
			'activeId' : 0,
			'username' : username
		},
		success : function(data) {
			if (data.Status == 1) {
				var num = parseInt($("#thisnum" + id).html());
				num += parseInt(upNum);
				buynum += parseInt(upNum);
				if (num >= 1) {
					$("#thisnum" + id).html(num);
					$("#minusorder" + id).css('display', 'inline-block');
				} else {
					$("#minusorder" + id).css('display', 'none');
					$("#thisnum" + id).html(0);
					deleteWare(cartId, username, id);
					return;
				}

				api.sendEvent({
					name : 'freshCart'
				});
			} else {
				api.toast({
					msg : '减少失败,请重试',
					duration : 2000,
					location : 'middle'
				});
			}
		}
	});
}

//删除一种商品
function deleteWare(cartid, username) {
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_delete_cart',
			'oid' : cartid,
			'username' : username
		},
		success : function(data) {
			if (data.Status == 1) {
				api.sendEvent({
					name : 'freshCart'
				});
			} else {
				api.toast({
					msg : '减少失败,请重试',
					duration : 2000,
					location : 'middle'
				});
			}
		}
	});
}

/**
 *去购物车
 */
function openCartWin() {
	changeFrameInRoot(3);
	api.closeToWin({
		name : 'root'
	});
}