apiready = function() {
	var ver = api.appVersion;
	$("#currentVersion").html('当前版本：' + ver);

	var userInfo = $api.getStorage("userInfo");
	if (userInfo != null && userInfo != "") {
		$(".login_btn").css("display", "none");
		$(".my-img").css("display", "block");
		$("#username").css("display", "block");
		$("#userinfo").css("display", "block");

		$.ajax({
			url : ApiUrl + "/AjaxHandler.ashx",
			type : 'POST',
			dataType : 'json',
			data : {
				method : 'user_center',
				username : userInfo.userName
			},
			success : function(data) {
				if (data.Status == 1) {
					$("#username").html(data.Message.username);
					$("#userinfo").html('账户余额：￥' + data.Message.userMoney + '&nbsp;&nbsp;&nbsp;&nbsp;积分：' + data.Message.userJiFen);
					$("#dfk").html('待付款:'+data.Message.daifukuan);
					$("#yfh").html('待发货:'+data.Message.daifahuo);
					$("#dsh").html('待收货:'+data.Message.daishouhuo);
					$("#dpj").html('待评价:'+data.Message.daipingjia);
					$("#ywc").html('已完成:'+data.Message.yiwancheng);
					$api.setStorage('u_money', data.Message.userMoney);
				} else {
					api.alert({
						title : '小嘿马温馨提示',
						msg : data.Message,
						buttons : ['确定']
					});
				}
			},
			error : function(data) {
				api.alert({
					title : '小嘿马温馨提示',
					msg : '获取信息失败，请重新打开应用',
					buttons : ['确定']
				});
			}
		});
	} else {
		$(".login_btn").css("display", "block");
		$(".my-img").css("display", "none");
		$("#username").css("display", "none");
		$("#userinfo").css("display", "none");
	}

	api.addEventListener({
		name : 'freshUserCenter'
	}, function(ret, err) {
		window.location.reload();
	});
	
	//下拉刷新页面
	api.setRefreshHeaderInfo({
		visible : true,
		loadingImg : 'widget://icon/logo.png',
		bgColor : '#ccc',
		textColor : '#fff',
		textDown : '下拉刷新...',
		textUp : '松开刷新...',
		showTime : true
	}, function(ret, err) {
		window.location.reload();
		api.refreshHeaderLoadDone();
	});
};

function loginout() {
	api.confirm({
		title : '小嘿马温馨提示',
		msg : '确定退出当前账号？',
		buttons : ['确定', '取消']
	}, function(ret, err) {
		if (ret) {
			if (ret.buttonIndex == 1) {
				$api.rmStorage("userInfo");
				api.sendEvent({
					name : 'freshCart'
				});
				window.location.reload();
				//changeFrameInRoot(4);
			}
		}
	});
};

function kefuTelephone(mum) {
	api.call({
		type : 'tel_prompt',
		number : mum
	});
};
