apiready = function() {
	$('#txtCardNum').blur(validateNum);
	$('#txtCardPwd').blur(validatePwd);
	var u_money = (parseFloat($api.getStorage('u_money'))).toFixed(2);
	$('#restMoney01').html('￥' + u_money);
	$('#restMoney02').html('￥' + u_money);
	$('#restMoney03').html('￥' + u_money);
	$('#restMoney04').html('￥' + u_money);

	//获取充值活动信息
	$.ajax({
		url : NewApiUrl + '/PurchaserHandler.ashx',
		type : 'post',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			'method' : 'get_unionpay_recharge_full_cut_config'
		},
		success : function(result) {
			if (result.Status == 1) {
				tempData = result.Message;
				if (tempData.length > 0) {
					var temhtml = '银联充值，';
					for (var i in tempData) {
						temhtml += '满'+tempData[i].MinAmount+'元赠送'+tempData[i].CutAmount+'元；';
						$(".rechargeAc").html(temhtml);
						$(".rechargeAc").css('display','block');
					}
				}
			}
		}
	});
};

function tabClick(t) {
	$('.tab li').removeClass('active');
	$('#' + t).addClass('active');

	$('.new-ct').css('display', 'none');
	$('#' + t + 'Div').css('display', 'block');
}

var numValidateResult = true;
var pwdValidateResult = true;
var zfbValidateResult = true;
var WxValidateResult = true;
var ylValidateResult = true;

function validateNum() {
	var num = $('#txtCardNum').val();
	if (!num || num.length == 0) {
		numValidateResult = false;
		$('#numErrorMsgDiv').css('display', 'block');
		$('#numErrorMsg').text('请输入充值卡卡号');
	} else {
		numValidateResult = true;
		$('#numErrorMsgDiv').css('display', 'none');
	}
}

function validatePwd() {
	var pwd = $('#txtCardPwd').val();
	if (!pwd || pwd.length == 0) {
		pwdValidateResult = false;
		$('#pwdErrorMsgDiv').css('display', 'block');
		$('#pwdErrorMsg').text('请输入充值卡密码');
	} else {
		pwdValidateResult = true;
		$('#pwdErrorMsgDiv').css('display', 'none');
	}
}

//验证支付宝金额
function validateZfb() {
	var zfb = $('#txtRechargeAmount').val();
	var reg = /^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/;
	if (!zfb || zfb.length == 0) {
		zfbValidateResult = false;
		$('#zfbErrorMsgDiv').css('display', 'block');
		$('#zfbErrorMsg').text('请输入充值金额');
		return false;
	} else {
		var r = zfb.match(reg);
		if (r == null) {
			zfbValidateResult = false;
			$('#zfbErrorMsgDiv').css('display', 'block');
			$('#zfbErrorMsg').text('充值金额只能是数字');
			return false;
		} else {
			zfbValidateResult = true;
			$('#zfbErrorMsgDiv').css('display', 'none');
			return true;
		}
	}
};
//验证微信金额
function validateWx() {
	var wx = $('#weixinAmount').val();
	var reg = /^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/;
	if (!wx || wx.length == 0) {
		WxValidateResult = false;
		$('#weixinErrorMsgDiv').css('display', 'block');
		$('#weixinErrorMsg').text('请输入充值金额');
		return false;
	} else {
		var r = wx.match(reg);
		if (r == null) {
			WxValidateResult = false;
			$('#weixinErrorMsgDiv').css('display', 'block');
			$('#weixinErrorMsg').text('充值金额只能是数字');
			return false;
		} else {
			WxValidateResult = true;
			$('#weixinErrorMsgDiv').css('display', 'none');
			return true;
		}
	}
};
//验证银联支付
function validateYl() {
	var yl = $('#yinlianAmount').val();
	var reg = /^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/;
	if (!yl || yl.length == 0) {
		ylValidateResult = false;
		$('#yinlianErrorMsgDiv').css('display', 'block');
		$('#yinlianErrorMsg').text('请输入充值金额');
		return false;
	} else {
		var r = yl.match(reg);
		if (r == null) {
			ylValidateResult = false;
			$('#yinlianErrorMsgDiv').css('display', 'block');
			$('#yinlianErrorMsg').text('充值金额只能是数字');
			return false;
		} else {
			ylValidateResult = true;
			$('#yinlianErrorMsgDiv').css('display', 'none');
			return true;
		}
	}
};

function recharge(chargeMoney) {
	var cardId = $('#txtCardNum').val();
	var crdPwd = $('#txtCardPwd').val();
	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	var u_money = $api.getStorage('u_money');
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'cardId' : cardId,
			'cardPwd' : crdPwd,
			'username' : userName,
			'method' : 'app_recharge'
		},
		success : function(data) {
			if (data.Status == 1) {
				api.toast({
					msg : '充值成功',
					duration : 3000,
					location : 'middle'
				});
				var totalMoney = parseFloat(u_money) + parseFloat(chargeMoney);
				$api.setStorage('u_money', totalMoney);
				window.location.reload();
				api.sendEvent({
					name : 'freshUserCenter'
				});
				api.sendEvent({
					name : 'freshRecharge'
				});
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				api.alert({
					title : '小嘿马温馨提示',
					msg : '发生错误，充值失败！',
					buttons : ['确定']
				});
			}
		}
	});
}

function check() {
	validateNum();
	validatePwd();
	//获取用户信息
	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	var cardId = $('#txtCardNum').val();
	var crdPwd = $('#txtCardPwd').val();
	if (numValidateResult && numValidateResult) {
		$.ajax({
			url : ApiUrl + '/ajaxhandler.ashx',
			type : 'POST',
			dataType : 'json',
			async : false,
			data : {
				'cardId' : cardId,
				'cardPwd' : crdPwd,
				'username' : userName,
				'method' : 'app_check_card'
			},
			success : function(data) {
				if (data.Status == 1) {
					var result = confirm("充值卡可用金额：" + data.Message + ",确定要充值吗？");
					if (result) {
						recharge(data.Message);
					}
				} else if (data.Status == 2) {
					openCommon('login', '登录');
				} else {
					if (data.Message && data.Message.length > 0) {
						api.alert({
							title : '小嘿马温馨提示',
							msg : data.Message,
							buttons : ['确定']
						});
					} else {
						api.alert({
							title : '小嘿马温馨提示',
							msg : '发生错误，验证充值卡失败！',
							buttons : ['确定']
						});
					}
				}
			}
		});
	}
};

/*
 *check账户
 */
function accountCheck() {
	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'username' : userName,
			'method' : 'app_check_account'
		},
		success : function(data) {
			if (data.Status == 1) {
				var result = confirm("账户可用金额：" + data.Message + ",确定要充值吗？");
				if (result) {
					alipayCharge();
				}
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				if (data.Message && data.Message.length > 0) {
					api.alert({
						title : '小嘿马温馨提示',
						msg : data.Message,
						buttons : ['确定']
					});
				} else {
					api.alert({
						title : '小嘿马温馨提示',
						msg : '发生错误，验证账户信息失败！',
						buttons : ['确定']
					});
				}
			}
		}
	});
}

/*
 *支付宝充值
 */
function alipayCharge() {
	var temp = validateZfb();
	if (temp == false) {
		return false;
	}
	var amount = $('#txtRechargeAmount').val();
	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	var u_money = $api.getStorage('u_money');
	//获取订单号
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_alipay_recharge',
			'username' : userName,
			'amount' : amount
		},
		success : function(data) {
			if (data.Status == 1) {
				api.toast({
					msg : '加载中...',
					duration : 3000,
					location : 'middle'
				});
				var oid = data.Message;
				var aliPay = api.require('aliPay');
				var notifyURL = 'http://www.小嘿马.com';
				var temp = '订单号：' + oid;
				aliPay.pay({
					subject : temp,
					body : '河南省小嘿马电子商务有限公司',
					amount : parseFloat(amount),
					tradeNO : oid
				}, function(ret, err) {
					var result_code = ret.code;
					if (result_code == 9000) {
						var paytime = new Date().Format("yyyy-MM-dd hh:mm:ss");
						$.ajax({
							url : ApiUrl + "/AjaxHandler.ashx",
							type : "post",
							dataType : "json",
							async : false,
							data : {
								'method' : 'app_alipay',
								'username' : userName,
								'oid' : oid,
								'amount' : amount,
								'payDate' : paytime,
								'pt' : 3
							},
							success : function(result) {
								if (result.Status == 1) {
									api.toast({
										msg : '支付成功',
										duration : 3000,
										location : 'middle'
									});
									var totalMoney = parseFloat(u_money) + parseFloat(amount);
									$api.setStorage('u_money', totalMoney);
									window.location.reload();
									api.sendEvent({
										name : 'freshUserCenter'
									});
									api.sendEvent({
										name : 'freshRecharge'
									});
								}
							}
						});
					} else {
						api.toast({
							msg : '支付失败',
							duration : 3000,
							location : 'middle'
						});
					}
				});
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				api.toast({
					msg : data.Message,
					duration : 3000,
					location : 'middle'
				});
			}
		}
	});
}

/*
 *微信充值
 */
function weixinCharge() {
	var temp = validateWx();
	if (temp == false) {
		return false;
	}
	var amount = $('#weixinAmount').val();
	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	var u_money = $api.getStorage('u_money');
	//获取订单号
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			'method' : 'app_alipay_recharge',
			'username' : userName,
			'amount' : amount
		},
		success : function(data) {
			if (data.Status == 1) {
				api.toast({
					msg : '加载中...',
					duration : 3000,
					location : 'middle'
				});
				var oid = data.Message;
				$('#tempOid').val(data.Message);
				var total_temp = amount * 100;
				var wxPay = api.require('wxPay');
				wxPay.config({
				}, function(ret, err) {
					if (ret.status) {
						wxPay.pay({
							description : '河南省小嘿马电子商务有限公司',
							totalFee : total_temp,
							tradeNo : oid
						}, function(ret, err) {
							if (ret.status) {
								var paytime = new Date().Format("yyyy-MM-dd hh:mm:ss");
								$.ajax({
									url : ApiUrl + "/AjaxHandler.ashx",
									type : "post",
									dataType : "json",
									async : false,
									cache : false,
									data : {
										'method' : 'app_alipay',
										'username' : userName,
										'oid' : $('#tempOid').val(),
										'amount' : $('#weixinAmount').val(),
										'payDate' : paytime,
										'pt' : 5
									},
									success : function(result) {
										if (result.Status == 1) {
											api.toast({
												msg : '支付成功',
												duration : 3000,
												location : 'middle'
											});
											var totalMoney = parseFloat(u_money) + parseFloat($('#weixinAmount').val());
											$api.setStorage('u_money', totalMoney);
											window.location.reload();
											api.sendEvent({
												name : 'freshUserCenter'
											});
											api.sendEvent({
												name : 'freshRecharge'
											});
										}
									}
								});
							} else {
								var tempStr = '支付失败，请重试';
								if (err.code == -2) {
									tempStr = '取消支付';
								}
								api.toast({
									msg : tempStr,
									duration : 3000,
									location : 'middle'
								});
							}
						});
					} else {
						api.toast({
							msg : '支付失败',
							duration : 3000,
							location : 'middle'
						});
					}
				});
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				api.toast({
					msg : data.Message,
					duration : 3000,
					location : 'middle'
				});
			}
		}
	});
}

/*
 *银联充值
 */
function yinlianCharge() {
	var temp = validateYl();
	if (temp == false) {
		return false;
	}
	var amount = parseFloat($('#yinlianAmount').val());
	var tnAmount = amount;
	var curCutAmount = parseFloat(0);
	//获取充值活动信息
	$.ajax({
		url : NewApiUrl + '/PurchaserHandler.ashx',
		type : 'post',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			'method' : 'get_unionpay_recharge_full_cut_config'
		},
		success : function(result) {
			if (result.Status == 1) {
				tempData = result.Message;
				if (tempData.length > 0) {
					for (var i in tempData) {
						if (amount >= parseFloat(tempData[i].MinAmount)) {
							if (curCutAmount < parseFloat(tempData[i].CutAmount)) {
								curCutAmount = parseFloat(tempData[i].CutAmount);
							}
						}
					}
				}
			}
		}
	});
	amount = amount + curCutAmount;

	var userInfo = $api.getStorage("userInfo");
	var userName = userInfo.userName;
	var u_money = $api.getStorage('u_money');
	//获取订单号
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		cache : false,
		data : {
			'method' : 'app_alipay_recharge',
			'username' : userName,
			'amount' : amount
		},
		success : function(data) {
			if (data.Status == 1) {
				api.toast({
					msg : '加载中...',
					duration : 3000,
					location : 'middle'
				});
				var oid = data.Message;
				var total_temp = tnAmount * 100;
				var unPay = api.require('unionPay');
				$.ajax({
					url : SiteUrl + "/mobile/UnionPayRes/TnService.aspx",
					type : 'POST',
					dataType : 'json',
					async : false,
					data : {
						order_id : oid,
						amount : total_temp
					},
					success : function(data) {
						if (data.Status == 1) {
							var tn = data.Message;
							unPay.pay({
								tn : tn,
								devMode : false
							}, function(ret, err) {
								if (ret.result == 'success') {
									var paytime = new Date().Format("yyyy-MM-dd hh:mm:ss");
									$.ajax({
										url : ApiUrl + "/AjaxHandler.ashx",
										type : "post",
										dataType : "json",
										async : false,
										cache : false,
										data : {
											'method' : 'app_alipay',
											'username' : userName,
											'oid' : oid,
											'amount' : amount,
											'payDate' : paytime,
											'pt' : 4
										},
										success : function(result) {
											if (result.Status == 1) {
												api.toast({
													msg : '支付成功',
													duration : 3000,
													location : 'middle'
												});
												var totalMoney = parseFloat(u_money) + amount;
												$api.setStorage('u_money', totalMoney);
												window.location.reload();
												api.sendEvent({
													name : 'freshUserCenter'
												});
												api.sendEvent({
													name : 'freshRecharge'
												});
											}
										}
									});

								} else if (ret.result == 'fail') {
									api.toast({
										msg : '支付失败',
										duration : 3000,
										location : 'middle'
									});
								} else if (ret.result == 'cancel') {
									api.toast({
										msg : '取消支付',
										duration : 3000,
										location : 'middle'
									});
								}
							});
						} else {
							api.toast({
								msg : '支付失败',
								duration : 3000,
								location : 'middle'
							});
						}
					}
				});
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				api.toast({
					msg : data.Message,
					duration : 3000,
					location : 'middle'
				});
			}
		}
	});
}
