//获取活动ID
var actid = GetQueryString('actid');
var acitveType = '';
var strStartTime = '';
var strEndTime = '';
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			'method' : 'app_seckill_list',
			'act' : actid
		},
		success : function(result) {
			if (result.Status == 1) {
				var data = result.Message;
				acitveType = result.Message.ActiveType;
				strStartTime = result.Message.StrStartTime;
				strEndTime = result.Message.StrEndTime;
				data.SiteUrl = SiteUrl;
				var html = template.render('bodyContent', data);
				$("#main").html(html);
			} else {
				alert(result.Message);
			}
			api.hideProgress();
		},
		error : function() {
			api.hideProgress();
			alert('获取活动信息失败，请重新打开');
		}
	});
	checkTime();
};
/*
 * 设置倒计时显示
 */
function setTime(startTime) {
	var ts = startTime - (new Date());
	//计算剩余的毫秒数
	if (ts <= 0) {
		window.location.reload();
	}
	var dd = parseInt(ts / 1000 / 60 / 60 / 24, 10);
	//计算剩余的天数
	var hh = parseInt(ts / 1000 / 60 / 60 % 24, 10);
	//计算剩余的小时数
	var mm = parseInt(ts / 1000 / 60 % 60, 10);
	//计算剩余的分钟数
	var ss = parseInt(ts / 1000 % 60, 10);
	//计算剩余的秒数
	var strTime;
	if (!dd) {
		strTime = checkTimeLen(hh) + ' : ' + checkTimeLen(mm) + ' : ' + checkTimeLen(ss);
	} else {
		strTime = checkTimeLen(dd) + ' 天 ' + checkTimeLen(hh) + ' : ' + checkTimeLen(mm) + ' : ' + checkTimeLen(ss);
	}

	var container = $('#hms');
	if (container.length) {
		$(container).text(strTime);
	}
}

/*
 * 如果小于两位则在十位补0
 */
function checkTimeLen(i) {
	if (i < 10) {
		i = "0" + i;
	}
	return i;
}

/*
 * 根据时间设置秒杀状态
 */
function checkTime() {
	if (strStartTime.length && strEndTime.length) {
		var startTime = Date.StrToDate(strStartTime);
		var endTime = Date.StrToDate(strEndTime);
		var timeNow = Date.now();
		if (timeNow < startTime) {
			$('#seckillTile').text(acitveType + '预告');
			$('#timeText').text('距离开始');
			setInterval(function() {
				setTime(startTime);
			}, 1000);
		} else if (timeNow >= startTime && timeNow < endTime) {
			$('#seckillTile').text(acitveType + '进行中');
			$('#timeText').text('距离结束');
			setInterval(function() {
				setTime(endTime);
			}, 1000);
		} else {
			$('#seckillTile').text(acitveType + '结束');
			$('.time').css('display', 'none');
		}
	}
};

