// 主页面切换frame
var changeFrameInRoot = function(index) {
	api.execScript({
		name : 'root',
		script : 'changeIndexFrame(' + index + ')'
	});
};
// 主页面切换frame end

// 用于链接到淘宝链接
var toDetail = function(obj) {
	var url = $api.attr(obj, 'data-url');
	var title = $api.attr(obj, 'data-title');
	api.execScript({
		name : 'root',
		script : 'indexToDetail("' + title + '","' + url + '")'
	});
};
//
// 语音识别
var openSpeechRec = function() {
	api.execScript({
		name : 'root',
		script : 'indexOpenSpeechRec()'
	});
};
//
// 通用header的window
var openCommon = function(name, title) {
	api.execScript({
		name : 'root',
		script : 'indexOpenCommon("' + name + '","' + title + '")'
	});
}
//
// 打开分享浮动窗口
var openShareframe = function() {
	api.execScript({
		name : 'root',
		script : 'indexOpenShareframe()'
	});
}
//
// 请先登录提示
var showToast = function() {
	api.toast({
		msg : '请先登录',
		duration : 2000,
		location : 'middle'
	});
};

function getQueryString(name) {
	var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
	var r = window.location.search.substr(1).match(reg);
	if (r != null) {
		return unescape(r[2]);
	}
	return null;
};

function GetRequest(temp_url) {
	var theRequest = new Object();
	if (temp_url.indexOf("?") != -1) {
		var str = temp_url.substr(temp_url.indexOf("?") + 1);
		var strs = str.split("&");
		for (var i = 0; i < strs.length; i++) {
			theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
		}
	}
	return theRequest;
}

function GetQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null)
		return unescape(r[2]);
	return null;
};

function openOrderList(title, url) {
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		openCommon('login', '登录');
		return false;
	} else {
		api.execScript({
			name : 'root',
			script : 'indexToDetail("' + title + '","' + url + '")'
		});
	}
};

//点击焦点图打开相应的页面
var openFocusPage = function(temp_url) {
	var Request = new Object();
	Request = GetRequest(temp_url);
	var act = Request.act;
	var key_word = Request.key_word;
	var pid = Request.pid;
	var catid = Request.catid;
	if (act && act != null && act != '') {
		openSeckillList(act, '超实惠');
		return false;
	} else if (key_word && key_word != null && key_word != '') {
		open_product_list(null, key_word);
		return false;
	} else if (pid && pid != null && pid != '') {
		openGoodInfo(pid, 0, null);
		return false;
	} else if (catid && catid != null && catid != '') {
		open_product_list(catid, null);
		return false;
	} else {
		openOrder('采购批发', './Wholesale.html');
		return false;
	}
};

//打开活动页面
function openSeckillList(actid, typeName) {
	openOrder(typeName, './seckillList.html?actid=' + actid);
}

//打开商品列表
var open_product_list = function(cid, keyword) {
	var tempStr = '';
	if (cid != null && cid != '') {
		tempStr = cid;
	} else {
		tempStr = keyword;
	}
	api.openWin({
		name : tempStr,
		url : '../../html/main/product_list.html',
		pageParam : {
			cid : cid,
			keyword : keyword
		},
		bounces : false,
		vScrollBarEnabled : false,
		hScrollBarEnabled : false,
		rect : {
			x : 0,
			y : 0,
			w : 'auto',
			h : 'auto'
		}
	});
};
//打开产品详细页面
var openGoodInfo = function(pid, activeId, catid) {
	api.openWin({
		name : 'goods_info',
		url : '../../html/main/goods_show.html?pid=' + pid + '&activeId=' + activeId + '&catid=' + catid,
		bounces : false,
		vScrollBarEnabled : false,
		hScrollBarEnabled : false,
		rect : {
			x : 0,
			y : 0,
			w : 'auto',
			h : 'auto'
		}
	});
};

//
var openOrder = function(title, url) {
	api.execScript({
		name : 'root',
		script : 'indexToDetail("' + title + '","' + url + '")'
	});
};

function contains(arr, str) {
	var i = arr.length;
	while (i--) {
		if (arr[i] === str) {
			return true;
		}
	}
	return false;
};

/**
 *阻止父onclick事件
 */
function stopBubble(e) {
	if (e && e.stopPropagation) {
		e.stopPropagation();
	} else {
		window.event.cancelBubble = true;
	}
};

/* 时间初始化
 * strTime {String} 字符串类型时间，必须是 yyyy-MM-dd HH:mm:ss格式的字符串
 */
Date.StrToDate = function(strTime) {
	return new Date(strTime.replace(/-/g, "/"));
};

Date.prototype.Format = function(fmt) {
	var o = {
		"M+" : this.getMonth() + 1, //月份
		"d+" : this.getDate(), //日
		"h+" : this.getHours(), //小时
		"m+" : this.getMinutes(), //分
		"s+" : this.getSeconds(), //秒
		"q+" : Math.floor((this.getMonth() + 3) / 3), //季度
		"S" : this.getMilliseconds() //毫秒
	};
	if (/(y+)/.test(fmt))
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o)
	if (new RegExp("(" + k + ")").test(fmt))
		fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
}
//城市名称显示
function showCityName() {
	var nowCity = $api.getStorage('cityInfo');
	if (nowCity != null && nowCity != '') {
		var nowCityName = nowCity.cityName;
		var nowCityId = nowCity.cityId;
		$("#cityName").html(nowCityName);
		$("#cityName").val(nowCityId);
	} else {
		var cityInfo = {};
		cityInfo.cityName = '濮阳市';
		//去服务器获取城市ID
		var temp_id = '';
		$.ajax({
			url : ApiUrl + "/AjaxHandler.ashx",
			type : "post",
			dataType : "json",
			async : true,
			data : {
				method : 'get_cityinfo',
				cityName : cityInfo.cityName
			},
			success : function(result) {
				var data = eval(result.Message.cityInfo);
				for (var js in data) {
					temp_id = data[js].SID;
				}
			}
		});
		cityInfo.cityId = temp_id;
		$api.setStorage('cityInfo', cityInfo);
		$("#cityName").html(cityInfo.cityName);
		$("#cityName").val(cityInfo.cityId);
	}
};

//定位
function getPosition() {
	var bMap = api.require('bMap');
	bMap.getLocation({
		accuracy : '100m',
		autoStop : true,
		filter : 1
	}, function(ret, err) {
		if (ret.status) {
			bMap.getNameFromCoords({
				lon : ret.lon,
				lat : ret.lat
			}, function(ret, err) {
				if (ret.status) {
					var address = ret.address;
					$(".header-loc-txt").html(address);
					//TODO 页面加载完成后定位
					var cityName = ret.city;
					var nowCityName = $("#cityName").html();
					if (cityName != nowCityName) {
						api.confirm({
							title : '小嘿马温馨提示',
							msg : '当前位置：' + cityName,
							buttons : ['切换', '取消']
						}, function(ret, err) {
							if (ret) {
								if (ret.buttonIndex == 1) {
									var cityInfo = {};
									cityInfo.cityName = cityName;
									var tempc = '';
									$.ajax({
										url : ApiUrl + "/AjaxHandler.ashx",
										type : "post",
										dataType : "json",
										async : false,
										data : {
											method : 'get_cityinfo',
											cityName : cityInfo.cityName
										},
										success : function(result) {
											var data = eval(result.Message.cityInfo);
											for (var js in data) {
												tempc = data[js].SID;
											}
										}
									});
									if (tempc != null && tempc != '') {
										cityInfo.cityId = tempc;
										$api.rmStorage('cityInfo');
										$api.setStorage('cityInfo', cityInfo);
										$("#cityName").html(cityName);
										$("#cityName").val(tempc);
										api.sendEvent({
											name : 'changeCityName',
											extra : {
												'cityName' : cityInfo.cityName,
												'cityId' : tempc
											}
										});
										api.sendEvent({
											name : 'freshHomePage',
										});
									} else {
										api.alert({
											title : '小嘿马温馨提示',
											msg : '小嘿马暂未开通此区域服务',
											buttons : ['确定']
										});
									}
								}
							}
						});
					}
				}
			});
		} else {
			api.toast({
				msg : '位失败，请确认定位功能是否打开',
				duration : 2000,
				location : 'middle'
			});
		}
	});
};

/**
 *打开城市列表
 */
function openCityList() {
	var nowCityId = $("#cityName").val();
	var tempUrl = './cityList.html?nowCityId=' + nowCityId;
	openOrder('城市列表', tempUrl);
}

/**
 *定位
 */

function getLocationInfo() {
	var bMap = api.require('bMap');
	bMap.getLocation({
		accuracy : '100m',
		autoStop : true,
		filter : 1
	}, function(ret, err) {
		if (ret.status) {
			bMap.getNameFromCoords({
				lon : ret.lon,
				lat : ret.lat
			}, function(ret, err) {
				if (ret.status) {
					var address = ret.address;
					$(".header-loc-txt").html(address);
				}
			});
		} else {
			api.toast({
				msg : '位失败，请确认定位功能是否打开',
				duration : 2000,
				location : 'middle'
			});
		}
	});
}

/**
 *支付宝支付
 */
function pay_order_alipay(pay_amount, pay_sn, username, ids, pt) {
	var aliPay = api.require('aliPay');
	var notifyURL = 'http://www.小嘿马.com';
	var temp = '订单号：' + pay_sn;
	aliPay.pay({
		subject : temp,
		body : '河南省小嘿马电子商务有限公司',
		amount : pay_amount,
		tradeNO : pay_sn
	}, function(ret, err) {
		var result_code = ret.code;
		if (result_code == 9000) {
			$.ajax({
				url : ApiUrl + '/ajaxhandler.ashx',
				type : 'post',
				dataType : 'json',
				async : false,
				data : {
					method : 'app_paysuccess_updata',
					username : username,
					ids : ids,
					pt : pt
				},
				success : function(result) {
					api.toast({
						msg : '下单成功',
						duration : 2000,
						location : 'middle'
					});
					api.sendEvent({
						name : 'freshUserCenter'
					});
					openOrderList('待发货', './order_list.html?orderType=daifahuo');
				}
			});
		} else {
			api.toast({
				msg : '支付失败，请重试',
				duration : 3000,
				location : 'middle'
			});
		}
	});
};

/**
 *微信支付
 * @param {Object} pay_amount
 * @param {Object} pay_sn
 * @param {Object} username
 * @param {Object} ids
 * @param {Object} pt
 */
function pay_order_wx(pay_amount, pay_sn, username, ids, pt) {
	var total_temp = parseFloat(pay_amount) * 100;
	var wxPay = api.require('wxPay');
	wxPay.config({
	}, function(ret, err) {
		if (ret.status) {
			wxPay.pay({
				description : '河南省小嘿马电子商务有限公司',
				totalFee : total_temp,
				tradeNo : pay_sn
			}, function(ret, err) {
				if (ret.status) {
					$.ajax({
						url : ApiUrl + '/ajaxhandler.ashx',
						type : 'post',
						dataType : 'json',
						async : false,
						data : {
							method : 'app_paysuccess_updata',
							username : username,
							ids : ids,
							pt : pt
						},
						success : function(result) {
							api.toast({
								msg : '下单成功',
								duration : 2000,
								location : 'middle'
							});
							api.sendEvent({
								name : 'freshUserCenter'
							});
							openOrderList('待发货', './order_list.html?orderType=daifahuo');
						}
					});
				} else {
					var tempStr = '支付失败，请重试';
					if (err.code == -2) {
						tempStr = '取消支付';
					}
					api.toast({
						msg : tempStr,
						duration : 3000,
						location : 'middle'
					});
				}
			});
		} else {
			api.toast({
				msg : '支付失败',
				duration : 3000,
				location : 'middle'
			});
		}
	});
};

/**
 *银联支付
 * @param {Object} pay_amount
 * @param {Object} pay_sn
 * @param {Object} username
 * @param {Object} ids
 * @param {Object} pt
 */
function pay_order_unionPay(pay_amount, pay_sn, username, ids, pt) {
	var total_temp = parseFloat(pay_amount) * 100;
	var unPay = api.require('unionPay');
	$.ajax({
		url : SiteUrl + "/mobile/UnionPayRes/TnService.aspx",
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			order_id : pay_sn,
			amount : total_temp
		},
		success : function(data) {
			if (data.Status == 1) {
				var tn = data.Message;
				unPay.pay({
					tn : tn,
					devMode : false
				}, function(ret, err) {
					if (ret.result == 'success') {
						$.ajax({
							url : ApiUrl + '/ajaxhandler.ashx',
							type : 'post',
							dataType : 'json',
							async : false,
							data : {
								method : 'app_paysuccess_updata',
								username : username,
								ids : ids,
								pt : pt
							},
							success : function(result) {
								api.toast({
									msg : '下单成功',
									duration : 2000,
									location : 'middle'
								});
								api.sendEvent({
									name : 'freshUserCenter'
								});
								openOrderList('待发货', './order_list.html?orderType=daifahuo');
							}
						});
					} else if (ret.result == 'fail') {
						api.toast({
							msg : '支付失败',
							duration : 3000,
							location : 'middle'
						});
					} else if (ret.result == 'cancel') {
						api.toast({
							msg : '取消支付',
							duration : 3000,
							location : 'middle'
						});
					}
				});
			} else {
				api.toast({
					msg : '支付失败',
					duration : 3000,
					location : 'middle'
				});
			}
		}
	});
};

/**
 *检查更新
 */
function checkUpdate() {
	var mam = api.require('mam');
	mam.checkUpdate(function(ret, err) {
		if (ret) {
			var result = ret.result;
			if (result.update == true & result.closed == false) {
				var str = '最新版本：' + result.version + '\n' + '\n';
				str = str + '更新描述：\n' + result.updateTip + '\n' + '\n';
				str = str + '发布时间：' + result.time + '\n';
				api.confirm({
					title : '有新版本啦！ ',
					msg : str,
					buttons : ['立即更新', '取消']
				}, function(ret, err) {
					if (ret.buttonIndex == 1) {
						if (api.systemType == "android") {
							api.download({
								url : result.source,
								report : true
							}, function(ret, err) {
								if (ret && 0 == ret.state) {/* 下载进度 */
									api.toast({
										msg : "正在下载应用" + ret.percent + "%",
										duration : 1000
									});
								}
								if (ret && 1 == ret.state) {/* 下载完成 */
									var savePath = ret.savePath;
									api.installApp({
										appUri : savePath
									});
								}
							});
						}
					}
				});
			} else {
				api.toast({
					msg : '当前已是最新版本',
					duration : 2000,
					location : 'middle'
				});
			}
		}
	});
}

