//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityid = cityInfo.cityId;
var cityname = cityInfo.cityName;
var username = '';
apiready = function() {
	api.addEventListener({
		    name: 'freshCart'
		}, function(ret, err){
			window.location.reload();
	});
	var userInfo = $api.getStorage("userInfo");
	if(userInfo == null || userInfo == ''){
		openCommon('login','登录');
		return false;
	}
	username = userInfo.userName;
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_cart_list',
			'username' : username
		},
		success : function(result) {
			if (result.Status == 1) {
				var data = result.Message;
	        	data.SiteUrl = SiteUrl;
	        	var html = template.render('bodyContent', data);
	            $("#main").html(html);
			} else if (result.Status == 2) {
				openCommon('login', '登录');
			} else {
				var html2 = template.render('nocart', '');
	            $("#main").html(html2);
			}
		},
		error : function(data, data1, data2, data3) {
			api.toast({
			    msg: '获取购物车信息失败',
			    duration: 2000,
			    location: 'middle'
			});
		}
	});
	checkEmpty();
	setcontrolDefault();
};

function updateControlStyle(id, num) {
	if (num > 1 && num < 200) {
		$('#addnum' + id).removeClass('disabled');
		$('#subnum' + id).removeClass('disabled');
	} else if (num == 200) {
		$('#addnum' + id).addClass('disabled');
	} else if (num == 1) {
		$('#subnum' + id).addClass('disabled');
	}
}

/*
 * 增加商品数量
 */
function upCart(id, price, upNum) {
	var numBox = $('#txtNum' + id);
	var num = parseInt($(numBox).val());
	if ((upNum > 0 && num >= 200) || (upNum < 0 && num <= 1)) {
		return;
	}
	var pid = $('#hid_pid_' + id).val();
	var activeId = $('#hid_active_' + id).val();

	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_up_cart_num',
			'oid' : id,
			'pid' : pid,
			'num' : upNum,
			'activeId' : activeId,
			'username' : username
		},
		success : function(data) {
			if (data.Status == 1) {
				api.sendEvent({
					name : 'freshHomeCartNum'
				});
				upWare(id, price, upNum, data.Message[1]);
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				if (data.Message[0] && data.Message[0].length > 0) {
					alert(data.Message[0]);
				} else {
					alert('发生错误，修改商品数量发生错误！');
				}
			}
		},
		error : function(data, data1, data2, data3) {
			alert('发生错误，修改商品数量发生错误！');
		}
	});
}

function getClass(tagName, className)//获得标签名为tagName,类名className的元素
{
	if (document.getElementsByClassName)//支持这个函数
	{
		return document.getElementsByClassName(className);
	} else {
		var tags = document.getElementsByTagName(tagName);
		//获取标签
		var tagArr = [];
		//用于返回类名为className的元素
		for (var i = 0; i < tags.length; i++) {
			if (tags[i].class == className) {
				tagArr[tagArr.length] = tags[i];
				//保存满足条件的元素
			}
		}
		return tagArr;
	}
}

//修改商品数量，金额
function upWare(id, price, upNum, resultPrice) {
	$($('#price' + id)).text(resultPrice);
	var numBox = $('#txtNum' + id);
	var num = parseInt($(numBox).val());
	num = num + upNum;
	$('#hidNum' + id).val(num);
	$(numBox).val(num);
	updateControlStyle(id, num);

	upAcount(upNum);
	upCount(upNum);
}

//修改总金额
function upAcount(num) {
	var productCount = getClass('input', 'quantity number_input');
	var productPrice = getClass('span', 'shp-cart-item-price');
	var price = 0;
	if ((productCount.length == productPrice.length)) {
		for (var i = 0; i < productCount.length; i++) {
			if ($("#checkIcon" + $(productPrice[i]).attr("id").replace('price', '')).hasClass('checked') && (!($("#product" + $(productPrice[i]).attr("id").replace('price', '')).css("display") == "none"))) {
				price = price + (($(productCount[i]).val()) * ($(productPrice[i]).text()));
			}
		}
	}
	price = price.toFixed(2);
	$('#cart_realPrice').text(price);
	/*var count = parseFloat($('#cart_oriPrice').text());
	 count = count + num;
	 count = count.toFixed(2);*/
	$('#cart_oriPrice').text(price);
}

function upCount(upNum) {
	var checkedNum = $('#checkedNum').text();
	checkedNum = parseInt(checkedNum);
	num = checkedNum + upNum;
	$('#checkedNum').text(num);
}

//删除一种商品
function deleteWare(id, price) {
	price = parseFloat(price);
	var num = $('#hidNum' + id).val();
	num = parseInt(num);
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_delete_cart',
			'oid' : id,
			'username' : username
		},
		success : function(data) {
			if(data.Status == 1){
				api.sendEvent({
					name : 'freshHomeCartNum'
				});
				
				$('#product' + id).css('display', 'none');

				if ($('.shp-cart-list li:visible').length == 0) {
					$('#notEmptyCart').css('display', 'none');
					$('#payment_p').css('display', 'none');
					$('#emptyCart').css('display', 'block');
				}
				upAcount(-1 * price * num);
				upCount(-1 * num);
			}else if(data.Status ==2){
				openCommon('login', '登录');
			}else{
				alert('发生错误，删除失败！');
			}
		},
		error : function(data) {
			alert('发生错误，删除失败！');
		}
	});

}

//商品选中反选
function changeSelected(id, price) {
	var checkBox = $('#checkIcon' + id);
	var num = $('#hidNum' + id).val();
	num = parseInt(num);
	if ($(checkBox).hasClass('checked')) {
		$(checkBox).removeClass('checked');
		upAcount(-1 * price * num);
		upCount(-1 * num);
		$('#checkIcon-1').removeClass('checked');
	} else {
		$(checkBox).addClass('checked');
		upAcount(price * num);
		upCount(num);
		var unChecked = $(".shp-cart-list span[class='cart-checkbox']")
		if (unChecked.length == 0) {
			$('#checkIcon-1').addClass('checked');
		}
	}
}

//修改数量框内的内容
function modifyWare(id, price) {
	var txtBox = $('#txtNum' + id);
	var num = $(txtBox).val();
	num = parseInt(num);
	var oldNum = parseInt($('#hidNum' + id).val());
	if (!num || num.length == 0 || isNaN(num) || num > 200 || num < 1) {
		alert('修改数量失败，请重试！')
		$(txtBox).val(oldNum);
		return;
	}
	var upNum = num - oldNum;
	var pid = $('#hid_pid_' + id).val();
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_up_cart_num',
			'oid' : id,
			'pid' : pid,
			'num' : upNum,
			'username' : username
		},
		success : function(data) {
			if (data.Status == 1) {
				api.sendEvent({
					name : 'freshHomeCartNum'
				});
				
				$($('#price' + id)).text(data.Message[1]);
				$('#hidNum' + id).val(num);
				updateControlStyle(id, num);

				upAcount(upNum * price);
				upCount(upNum);
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				if (data.Message[0] && data.Message[0].length > 0) {
					alert(data.Message[0]);
				} else {
					alert('发生错误，修改商品数量发生错误！');
				}
				$(txtBox).val(oldNum);
			}
		},
		error : function(data, data1, data2, data3) {
			alert('发生错误，修改商品数量发生错误！');
			$(txtBox).val(oldNum);
		}
	});
	//var changeNum = num - oldNum;
	//addCount(changeNum * price);
	//$('#hidNum' + id).val(num);
}

//全选反选
function checkAll() {
	if ($('#checkIcon-1').hasClass('checked')) {
		$('.cart-checkbox').removeClass('checked');
		$('#cart_realPrice').text('0.00');
		$('#cart_oriPrice').text('0.00');
		$('#checkedNum').text('0');
	} else {
		var unChecked = $(".shp-cart-list span[class='cart-checkbox']");
		for (var i = 0, j = unChecked.length; i < j; i++) {
			var id = unChecked[i].id.replace('checkIcon', '');
			var price = parseInt($('#price' + id).text());
			var num = parseInt($('#txtNum' + id).val());
			$(unChecked[i]).addClass('checked');
			upCount(num);
			upAcount(num * price);
		}
		$('#checkIcon-1').addClass('checked');
	}
}

function checkEmpty() {
	if ($('.shp-cart-list li:visible').length == 0) {
		$('#notEmptyCart').css('display', 'none');
		$('#payment_p').css('display', 'none');
		$('#emptyCart').css('display', 'block');
	}
}

function setcontrolDefault() {
	var items = $('.shp-cart-list li');
	for (var i = 0, j = items.length; i < j; i++) {
		var id = $(items[i]).attr('id').replace('product', '');
		var num = parseInt($('#txtNum' + id).val());
		updateControlStyle(id, num);
	}
}

function goPay() {
	var checked = $(".shp-cart-list span[class='cart-checkbox checked']");
	if (checked.length == 0) {
		alert("请选择要购买的商品");
		return;
	}
	var ids = '';
	for (var i = 0, j = checked.length; i < j; i++) {
		var id = checked[i].id.replace('checkIcon', '');
		if (ids.length > 0) {
			ids += ','
		}
		ids += id;
	}
	
	$.ajax({
		url : ApiUrl+'/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_go_pay_check',
			'ids' : ids,
			'cityId' : cityid,
			'cityName' : cityname,
			'username' : username
		},
		success : function(data) {
			if (data.Status == 3) {
				alert(data.Message);
				//alert('不支持配送至该地区，不能结算！');
				return;
			} else {
				openOrder('订单详情','./order.html?ids='+ids);
			}
		},
		error : function(data) {
			alert('发生错误，结算失败！');
		}
	});
}
