var ids = GetQueryString("ids");

var username = '';
var count = '';
var addrId = '';
//获取城市id
var cityInfo = $api.getStorage('cityInfo');
var cityId = cityInfo.cityId;
var cityName = cityInfo.cityName;
apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		api.hideProgress();
		openCommon('login', '登录');
		return false;
	}

	username = userInfo.userName;
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_order',
			username : username,
			ids : ids
		},
		success : function(result) {
			api.hideProgress();
			if (result.Status == 1) {
				var data = result.Message;
				count = data.count;
				addrId = data.addrId;
				data.SiteUrl = SiteUrl;
				var html = template.render('bodyContent', data);
				$("#main").html(html);
			} else if (result.Status == 2) {
				openCommon('login', '登录');
			} else {
				alert('获取订单信息失败！');
			}
		},
		error : function(data, data1, data2, data3) {
			api.hideProgress();
			alert('获取订单信息失败！');
		}
	});

	setControlDefault();
	/** TODO wsl
	 * 优惠券
	 var cardId = getQueryString('cardId');
	 if (cardId && cardId.length > 0) {//选择了优惠券
	 $('#link_selectCards').attr('href', $('#link_selectCards').attr('href') + getQueryString('ids') + '&cardId=' + cardId);
	 var strcardId = cardId.split(',');
	 $('#useCount').text('已使用' + strcardId.length + '张');
	 }
	 else {
	 $('#link_selectCards').attr('href', $('#link_selectCards').attr('href') + getQueryString('ids'));
	 }
	 */
};

/*
 * 提交订单
 */
function submitOrder() {
	if (count <= 0) {
		alert('没有商品要购买');
		return;
	}
	if (!addrId || addrId.length == 0) {
		alert('请选择收货地址');
		return;
	}
	var pt = getQueryString('pt');
	if (!pt || pt.length == 0) {
		pt = "1";
	}
	var esId = getQueryString('esId');
	//给卖家留言
	var remark = $("#txtRemark").val();
	var credits = $.trim($('#credits').text().replace('-￥', ''));
	credits = $.trim(credits).replace('-¥', '');
	var amonut = $.trim($('#payMoney').text().replace('￥', ''));
	amonut = $.trim(amonut).replace('¥', '');
	var cardId = getQueryString('cardId');
	var cardType = $('#couponType').val();
	$.ajax({
		url : ApiUrl + '/ajaxhandler.ashx',
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'ids' : ids,
			'pt' : pt,
			'addrId' : addrId,
			'esId' : esId,
			'method' : 'app_sub_order',
			'cityId' : cityId,
			'cityName' : cityName,
			'remark' : remark,
			'amount' : amonut,
			'reduceMoney' : credits,
			'cardId' : cardId,
			'cardType' : cardType,
			'username' : username
		},
		success : function(data) {
			api.sendEvent({
				name : 'freshCart'
			});
			api.sendEvent({
				name : 'freshUserCenter'
			});
			if (data.Status == 1) {
				if (pt == "1" || pt == "2") {
					openOrder('选择支付方式','./paytype.html?for=list&ids='+data.Message+'&orderId='+data.Userinfo+'&amonut='+amonut);
					//window.location.reload();
					setTimeout(function () {
						api.closeWin(); 
				    }, 800);
				} else {
					$('#divAl').append(data.Message);
				}
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else if (data.Status == 3) {
				api.alert({
					title : '小嘿马温馨提示',
					msg : data.Message,
					buttons : ['确定']
				});
			} else {
				if (data.Message && data.Message.length > 0) {
					api.alert({
						title : '小嘿马温馨提示',
						msg : data.Message,
						buttons : ['确定']
					});
				} else {
					alert('订单提交失败！');
				}
			}
		},
		error : function(data) {
			alert('发生错误，订单提交失败！');
		}
	});
};

/*
 * 设置链接的URL
 */
function setControlDefault() {
	var pt = getQueryString('pt');
	if (!pt || pt.length == 0) {
		pt = "1";
	}
	var esId = getQueryString('esId');

	$('#addressLink').attr('data-url', $('#addressLink').attr('data-url') + '?isfromorder=true&ids=' + ids + '&pt=' + pt + '&esId=' + esId);
};

/**
 * 去收货地址页面
 * @param {Object} obj
 */
function goToAddress(obj) {
	$('#addressLink').attr('data-title', '收货地址');
	toDetail(obj);
};

