var username = '';
var oid = GetQueryString("oid");
var size = 5;
var itemSize = 5;

apiready = function() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var userInfo = $api.getStorage("userInfo");
	if (userInfo == null || userInfo == '') {
		api.hideProgress();
		openCommon('login', '登录');
		return false;
	}

	username = userInfo.userName;
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : "post",
		dataType : "json",
		async : false,
		data : {
			method : 'app_get_evaluate_list',
			username : username,
			oid : oid
		},
		success : function(result) {
			api.hideProgress();
			if (result.Status == 1) {
				var data = result.Message;
				data.SiteUrl = SiteUrl;
				var html = template.render('bodyContent', data);
				$("#main").html(html);
			} else if (result.Status == 2) {
				openCommon('login', '登录');
			} else {
				alert('发生错误，评价失败！');
			}
		},
		error : function(data, data1, data2, data3) {
			api.hideProgress();
			alert('发生错误，评价失败！');
		}
	});
	
	var size2 = 4;
    for (var i = 1; i <= size2; i++) {
        for (var j = 1; j <= size; j++) {
            $('#style_' + i + '_' + j).addClass("on");
        }
    }

};

function selSurvey(n, fid) {
	for (var i = 1; i <= size; i++) {
		if ($('#style_' + n + '_' + i).hasClass("on")) {
			$('#style_' + n + '_' + i).removeClass("on");
		}
	}

	for (var i = 1; i <= fid; i++) {
		$('#style_' + n + '_' + i).addClass("on");
	}
	var hidScore = $('#score_' + n);
	if (hidScore.length) {
		$(hidScore).val(fid);
	}
}

function save() {
	api.showProgress({
		title : '玩命加载中...',
		text : ''
	});
	var contArr = new Array();
	var oidArr = new Array();
	var nameArr = new Array();
	var allContent = document.getElementsByTagName("textarea").length;
	for (var i = 0; i < allContent; i++) {
		contArr.push(document.getElementsByTagName("textarea")[i].value);
		oidArr.push(document.getElementsByTagName("li")[i].id);
		nameArr.push(document.getElementsByTagName("label")[i].innerText);
	}
	var f1 = $('#score_1').val();
	var f2 = $('#score_2').val();
	var f3 = $('#score_3').val();
	var content = $('#txtcontent').val();
	$.ajax({
		url : ApiUrl + "/AjaxHandler.ashx",
		type : 'POST',
		dataType : 'json',
		async : false,
		data : {
			'method' : 'app_submit_comment',
			'score1' : f1,
			'score2' : f2,
			'score3' : f3,
			'content' : content,
			'contArr' : contArr,
			'oidArr' : oidArr,
			'nameArr' : nameArr,
			'oid' : oid,
			'username' : username
		},
		success : function(data) {//3成功,1评论为空，2没有登录，4程序出错，0
			if (data.Status == 3) {
				api.sendEvent({
				    name: 'freshOrderList'
				});
				api.sendEvent({
				    name: 'freshUserCenter'
				});
				alert('评论成功!');
				openOrderList('已完成','./order_list.html?orderType=yiwancheng');
			} else if (data.Status == 2) {
				openCommon('login', '登录');
			} else {
				alert(data.Message);
			}
			api.hideProgress();
		},
		error : function(data) {
			api.hideProgress();
			alert('评论失败,请重试');
		}
	});
}

